using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.Layouts;
using Telerik.WinControls.Primitives;
using System.ComponentModel;
using System.Drawing.Design;
using Telerik.WinControls.Themes.Design;
using Telerik.WinControls.UI;

namespace WindowsFormsApplication3
{
	public class CollapsiblePane : RadControl
    {
        #region Fields

        CollapsiblePaneElement element;

        #endregion

        #region Initialization

        protected override void CreateChildItems(RadElement parent)
        {
            this.element = new CollapsiblePaneElement();
            parent.Children.Add(this.element);
        }

        #endregion

        #region Properties

        public CollapsiblePaneElement PaneElement
        {
            get
            {
                return this.element;
            }
        }

        [DefaultValue("")]
        public string Caption
		{
			get
			{
				return this.element.Caption;
			}
			set
			{
				this.element.Caption = value;
			}
		}

        [DefaultValue(null)]
		public Image CaptionImage
		{
			get
			{
				return this.element.CaptionImage;
			}
			set
			{
				this.element.CaptionImage = value;
			}
		}

		[DefaultValue(true)]
		public bool Expanded
		{
			get
			{
				return this.element.Expanded;
			}
			set
			{
				this.element.Expanded = value;
			}
		}

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public RadItemOwnerCollection Items
        {
            get
            {
                return this.element.Items;
            }
        }

        #endregion		
    }
}